# Generated by Django 3.0.8 on 2020-08-12 11:37

import django.db.models.deletion
import modelcluster.contrib.taggit
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("taggit", "0003_taggeditem_add_unique_index"),
        ("program2021", "0004_merge_20200812_1337"),
    ]

    operations = [
        migrations.CreateModel(
            name="SearchCharacteristic",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "name",
                    models.CharField(
                        max_length=200,
                        verbose_name="lidský název pro použití v administraci",
                    ),
                ),
            ],
        ),
        migrations.AlterField(
            model_name="program2021pointpage",
            name="search_tags",
            field=modelcluster.contrib.taggit.ClusterTaggableManager(
                blank=True,
                help_text='Deleny do skupin se spolecnym prefixem, napr. "gender". Pokud je bod spolecny pro vsechny moznosti dane skupiny, pouzij tag se suffixem "-every".  \nPriklad: chces-li programovy bod pouze pro muze, zadej tag "gender-male", pokud je to jedno, musis zadat tag "gender-every". \nPro kazdou skupinu musis zadat aspon jeden tag, jinak se bod nedostane nikdy do vysledku vyhledavani. Seznam tagu po skupinach:\n(gender-male gender-female gender-every) \n(age-30 age-50 age-65 age-99 age-every) \n(kids-yes kids-no kids-every)\n(occupation-student occupation-employee-public occupation-employee-private occupation-entrepreneur occupation-maternity occupation-retired occupation-every)\n(wealth-excelent wealth-good wealth-average wealth-bad wealth-every)\n(travel-bike travel-car travel-public travel-every)\n(housing-metropolis housing-town housing-village housing-every) \n(education-zs education-ss education-maturita education-vs education-every)\n         ',
                related_name="search_tags",
                through="program2021.Program2021PointPageSearchTag",
                to="taggit.Tag",
                verbose_name="Tagy pro vyhledávání",
            ),
        ),
        migrations.CreateModel(
            name="CharacteristicWeight",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("weight", models.IntegerField()),
                (
                    "program_point",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="program2021.Program2021PointPage",
                    ),
                ),
                (
                    "search_characteristic",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="program2021.SearchCharacteristic",
                    ),
                ),
            ],
        ),
    ]
