# Generated by Django 3.0.6 on 2020-05-13 19:15

import django.db.models.deletion
import wagtail.core.blocks
import wagtail.core.fields
import wagtail.documents.blocks
import wagtail.images.blocks
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("wagtailcore", "0045_assign_unlock_grouppagepermission"),
        ("wagtailimages", "0022_uploadedimage"),
    ]

    operations = [
        migrations.CreateModel(
            name="SenatCampaignCookiesPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.Page",
                    ),
                ),
                (
                    "body",
                    wagtail.core.fields.RichTextField(blank=True, verbose_name="obsah"),
                ),
            ],
            options={"verbose_name": "Cookies",},
            bases=("wagtailcore.page",),
        ),
        migrations.CreateModel(
            name="SenatCampaignNewsIndexPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.Page",
                    ),
                ),
            ],
            options={"verbose_name": "Aktuality",},
            bases=("wagtailcore.page",),
        ),
        migrations.CreateModel(
            name="SenatCampaignProgramPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.Page",
                    ),
                ),
                (
                    "committee_preference",
                    wagtail.core.fields.StreamField(
                        [
                            (
                                "committee",
                                wagtail.core.blocks.CharBlock(label="výbor či komise"),
                            )
                        ],
                        blank=True,
                        verbose_name="preferované výbory a komise",
                    ),
                ),
                (
                    "content",
                    wagtail.core.fields.StreamField(
                        [
                            (
                                "item",
                                wagtail.core.blocks.StructBlock(
                                    [
                                        (
                                            "title",
                                            wagtail.core.blocks.CharBlock(
                                                label="titulek"
                                            ),
                                        ),
                                        (
                                            "perex",
                                            wagtail.core.blocks.TextBlock(
                                                label="perex na úvodní stránku"
                                            ),
                                        ),
                                        (
                                            "body",
                                            wagtail.core.blocks.RichTextBlock(
                                                label="text bodu"
                                            ),
                                        ),
                                        (
                                            "image",
                                            wagtail.images.blocks.ImageChooserBlock(
                                                label="ilustrační obrázek"
                                            ),
                                        ),
                                    ]
                                ),
                            )
                        ],
                        blank=True,
                        verbose_name="programové body",
                    ),
                ),
            ],
            options={"verbose_name": "Program",},
            bases=("wagtailcore.page",),
        ),
        migrations.CreateModel(
            name="SenatCampaignWebSettings",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "first_name",
                    models.CharField(max_length=250, verbose_name="jméno kandidáta"),
                ),
                (
                    "last_name",
                    models.CharField(max_length=250, verbose_name="příjmení kandidáta"),
                ),
                (
                    "facebook",
                    models.URLField(blank=True, null=True, verbose_name="Facebook URL"),
                ),
                (
                    "instagram",
                    models.URLField(
                        blank=True, null=True, verbose_name="Instagram URL"
                    ),
                ),
                (
                    "twitter",
                    models.URLField(blank=True, null=True, verbose_name="Twitter URL"),
                ),
                (
                    "linkedin",
                    models.URLField(blank=True, null=True, verbose_name="LinkedIn URL"),
                ),
                (
                    "contacts",
                    wagtail.core.fields.StreamField(
                        [
                            (
                                "item",
                                wagtail.core.blocks.StructBlock(
                                    [
                                        (
                                            "name",
                                            wagtail.core.blocks.CharBlock(
                                                label="jméno"
                                            ),
                                        ),
                                        (
                                            "job",
                                            wagtail.core.blocks.CharBlock(
                                                label="pozice", required=False
                                            ),
                                        ),
                                        (
                                            "phone",
                                            wagtail.core.blocks.CharBlock(
                                                label="telefon", required=False
                                            ),
                                        ),
                                        (
                                            "email",
                                            wagtail.core.blocks.EmailBlock(
                                                label="email", required=False
                                            ),
                                        ),
                                        (
                                            "photo",
                                            wagtail.images.blocks.ImageChooserBlock(
                                                label="fotka"
                                            ),
                                        ),
                                    ]
                                ),
                            )
                        ],
                        blank=True,
                        verbose_name="kontaktní osoby",
                    ),
                ),
                (
                    "site",
                    models.OneToOneField(
                        editable=False,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="wagtailcore.Site",
                    ),
                ),
            ],
            options={"verbose_name": "Senát kampaň",},
        ),
        migrations.CreateModel(
            name="SenatCampaignNewsPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.Page",
                    ),
                ),
                ("date", models.DateField(verbose_name="datum")),
                ("perex", models.TextField(verbose_name="perex")),
                (
                    "body",
                    wagtail.core.fields.RichTextField(
                        blank=True, verbose_name="článek"
                    ),
                ),
                (
                    "photo",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        to="wagtailimages.Image",
                        verbose_name="fotka",
                    ),
                ),
            ],
            options={"verbose_name": "Aktualita",},
            bases=("wagtailcore.page",),
        ),
        migrations.CreateModel(
            name="SenatCampaignHomePage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.Page",
                    ),
                ),
                (
                    "headline",
                    models.CharField(
                        blank=True, max_length=250, verbose_name="podtitulek pod jménem"
                    ),
                ),
                (
                    "claim",
                    models.CharField(
                        blank=True,
                        max_length=250,
                        null=True,
                        verbose_name="slogan pod fotkou",
                    ),
                ),
                (
                    "about_left",
                    wagtail.core.fields.RichTextField(
                        blank=True, verbose_name="kdo jsem (levý sloupec)"
                    ),
                ),
                (
                    "about_right",
                    wagtail.core.fields.RichTextField(
                        blank=True, verbose_name="kdo jsem (pravý sloupec)"
                    ),
                ),
                (
                    "about_gallery",
                    wagtail.core.fields.StreamField(
                        [
                            (
                                "photo",
                                wagtail.images.blocks.ImageChooserBlock(label="fotka"),
                            )
                        ],
                        blank=True,
                        verbose_name="kdo jsem - galerie",
                    ),
                ),
                (
                    "financials",
                    wagtail.core.fields.StreamField(
                        [
                            (
                                "link",
                                wagtail.core.blocks.StructBlock(
                                    [
                                        (
                                            "label",
                                            wagtail.core.blocks.CharBlock(
                                                label="název"
                                            ),
                                        ),
                                        (
                                            "url",
                                            wagtail.core.blocks.URLBlock(label="odkaz"),
                                        ),
                                    ],
                                    label="odkaz",
                                ),
                            ),
                            (
                                "document",
                                wagtail.core.blocks.StructBlock(
                                    [
                                        (
                                            "label",
                                            wagtail.core.blocks.CharBlock(
                                                label="název"
                                            ),
                                        ),
                                        (
                                            "doc",
                                            wagtail.documents.blocks.DocumentChooserBlock(
                                                label="dokument"
                                            ),
                                        ),
                                    ],
                                    label="dokument",
                                ),
                            ),
                        ],
                        blank=True,
                        verbose_name="transparentní financování",
                    ),
                ),
                (
                    "top_photo",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        to="wagtailimages.Image",
                        verbose_name="hlavní fotka",
                    ),
                ),
            ],
            options={"verbose_name": "Senát kampaň",},
            bases=("wagtailcore.page",),
        ),
    ]
